import { BASE_URL, TIMEOUT } from "./config.js";
//  引入请求库
import Request from "@/utils/luch-request/index.js";
const http = new Request({
	baseURL: BASE_URL,
	timeout: TIMEOUT
});

//  请求拦截器
http.interceptors.request.use(
	(config)=>{
		// 根据请求信息里携带的自定义属性，判断当前请求是否需要携带token
		const needToken = config.custom.needToken || false;
		if (needToken) {
			const token = uni.getStorageSync("userInfo")?.token;
			config.header.token = token;
		}
		return config;
	},
	//  失败拦截
	(error)=>{
		return Promise.reject(error)
	}
)

//  响应拦截器
http.interceptors.response.use(
	// 响应成功拦截
	(response)=>{
		const { data } = response;
		return data;
	},
	//  响应失败拦截
	(err)=>{
		const { msg } = err
		if(msg){
			this.$showToast(msg)
		}
		console.log(err)
	}
	
)

export default http;